%define _disable_ld_no_undefined 1
%define oldname compiz-fusion-plugins-main

Summary:         Compiz Main Plugin Set for compiz
Name:            compiz-plugins-main
Version:         0.9.7.2
Release:         1
Group:           System/X11
License:         GPLv2+
URL:             http://www.compiz.org/
Source0:         http://releases.compiz.org/%{version}/%{name}-%{version}.tar.bz2
Patch1:  0001-Use-appropriate-animation-for-screenlets.patch
Patch2:  0002-Use-a-more-Mandriva-y-blue-for-expo.patch

BuildRequires:   cmake
BuildRequires:   intltool
BuildRequires:   xsltproc
BuildRequires:   boost-devel
BuildRequires:   compiz-devel compiz
BuildRequires:   jpeg-devel
BuildRequires:   mesaglu-devel
BuildRequires:   pkgconfig(cairo)
BuildRequires:   pkgconfig(gconf-2.0)
BuildRequires:   pkgconfig(gl)
BuildRequires:   pkgconfig(pango)
BuildRequires:   pkgconfig(xtst)
BuildRequires:   pkgconfig(pangocairo)

Requires: compiz
Obsoletes: compiz-extra
Obsoletes: beryl-plugins
%rename %{oldname}

%description
This is the main plugin set from the Compiz community. This is a 
combination of the Compiz Extras and Beryl communities

Contains: animation expo ezoom jpeg neg opacify put resizeinfo ring
scaleaddon snap text thumbnail vpswitch wall winrules workarounds.

#----------------------------------------------------------------------------
%package devel
Summary: Development files for Compiz Main Plugin Set for compiz
Group: Development/X11
Requires: %{name} = %{version}-%{release}
%rename %{oldname}-devel

%description devel
Development files for Compiz Main Plugin Set for compiz

#----------------------------------------------------------------------------
%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%cmake \
	-DCOMPIZ_INSTALL_GCONF_SCHEMA_DIR=%{_sysconfdir}/gconf/schemas \
	-DCOMPIZ_DISABLE_SCHEMAS_INSTALL=TRUE \
	-DCOMPIZ_PACKAGING_ENABLED=TRUE

%install
rm -rf %{buildroot}
%makeinstall_std -C build

#----------------------------------------------------------------------------
%files
%{_sysconfdir}/gconf/schemas/compiz*.schemas
%{_libdir}/compiz/*.so
%{_datadir}/compiz/colorfilter/
%{_datadir}/compiz/mag/
%{_datadir}/compiz/*.xml

%files devel
%{_includedir}/compiz/animation/
%{_includedir}/compiz/mousepoll/
%{_includedir}/compiz/text/
%{_libdir}/pkgconfig/*.pc



%changelog
* Fri May 18 2012 Crispin Boylan <crisb@mandriva.org> 0.9.7.2-1
+ Revision: 799493
- New release

  + Zé <ze@mandriva.org>
    - fix dirs ownership
    - inexistant .la files

* Sat Nov 05 2011 Zé <ze@mandriva.org> 0.9.5.92-1
+ Revision: 720602
- clean defattr and section clean
- too much macros

  + Matthew Dawkins <mattydaw@mandriva.org>
    - added missing requires to main pkg for devel pkg
    - fixed tarball name and rename macros
    - new version 0.9.5.92
      rediffed p0 & p1
      cleaned up spec for cmake
    - package has a new name

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-3
+ Revision: 663395
- mass rebuild

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-2mdv2011.0
+ Revision: 603847
- rebuild

* Sun May 02 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.6-1mdv2010.1
+ Revision: 541654
- New version: 0.8.6

* Sat Mar 13 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-2mdv2010.1
+ Revision: 518615
- Rebuild for new Compiz

* Thu Oct 15 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 457733
- New version: 0.8.4
- Harden buildrequires versions

* Wed Sep 09 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.2-4mdv2010.0
+ Revision: 434888
- Rebuild against updated compiz

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-3mdv2010.0
+ Revision: 416648
- rebuilt against libjpeg v7

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-2mdv2010.0
+ Revision: 413264
- rebuild

* Sun Mar 15 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 355370
- keep the old name for the moment, needs a package renaming
- New version 0.8.2
- remove fusion from name

* Sun Feb 08 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.20090208.1mdv2009.1
+ Revision: 338487
- 0.8 pre-release snapshot

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.7.8-1mdv2009.1
+ Revision: 319153
- rediff animation-screenlets.patch as properly named animation_screenlets.patch
- 0.7.8 final

* Fri Sep 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-0.20080912.1mdv2009.0
+ Revision: 284297
- New snapshot
- Update animation/screenlets patch

* Sun Jul 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.7-0.20080713.1mdv2009.0
+ Revision: 234345
- New snapshot
- New version: 0.7.6

* Fri May 23 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.1mdv2009.0
+ Revision: 210159
- Update to git snapshot
- Drop upstream applied patch

* Fri May 02 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-2mdv2009.0
+ Revision: 200083
- Apply upstream patch to fix panels not appearing after login

* Tue Apr 08 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 192372
- New version 0.7.4

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181136
- Fix the animation/screenlets patch to include the options too.
- New version 0.7.2

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.99-0.20080218.1mdv2008.1
+ Revision: 172297
- Update to git master for new compiz

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 28 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-2mdv2008.1
+ Revision: 102769
- Fix certain window types from being handled incorrectly (upstream diff).

* Sat Oct 20 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 100721
- New upstream release: 0.6.0

* Fri Oct 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-0.20071018.1mdv2008.1
+ Revision: 100099
- Update snapshot from 0.6.0 branch for compiz 0.6.2

* Mon Sep 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-4mdv2008.0
+ Revision: 88949
- Make reflections colours fit in better with default Mandriva theme.

* Sun Sep 16 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-3mdv2008.0
+ Revision: 88520
- Add default animations for Screenlets windows.

* Tue Sep 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-2mdv2008.0
+ Revision: 79534
- Rebuild for latest compiz (patch removal caused ABI change)

* Mon Aug 13 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 62614
- Official Release: 0.5.2

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070811.1mdv2008.0
+ Revision: 62121
- Update snapshot

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070801.1mdv2008.0
+ Revision: 57838
- Updated snapshot

* Wed Jul 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070725.1mdv2008.0
+ Revision: 55252
- Update Snapshot

* Sat Jul 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070714.1mdv2008.0
+ Revision: 52117
- Update snapshot

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070707.1mdv2008.0
+ Revision: 49609
- Require compiz
- Update Snapshot to 20070707
- Obsolete Beryl Plugins and Compiz Extra
- Import compiz-fusion-main

